View Issue Details

IDProjectCategoryView StatusLast Update
0000166CaseTalk ModelerModel Transformation (GLR)public2016-04-26 18:06
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeverityminorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version9.0Fixed in Version8.7.2 
Summary0000166: Support old style naming algorithms
DescriptionTo prevent already existing systems to be overridden with completely new column names due to the new naming algorithms, the old ones should remain in casetalk v7.
TagsNo tags attached.

Relationships

Activities

BCP Software

BCP Software

2012-10-23 16:00

administrator   ~0000118

We've added back the old style algorithms and added a brand new one. The current list of algorithms is:
- full role path
- relevant role path (first object type and relevant tail of the role path)
- compressed role path (full role path, yet non replicating names)
- unique tail (relevant role path, excluding the initial first object type)
and the old style algorithms:
- object type (made unique by adding numbers when clashing)
- label type (made unique by adding numbers when clashing)
BCP Software

BCP Software

2015-11-24 16:17

administrator   ~0000478

For BridgeToolset and Metamorfose this needs further restoration.

Issue History

Date Modified Username Field Change
2012-10-23 15:57 BCP Software New Issue
2012-10-23 15:57 BCP Software Status new => assigned
2012-10-23 15:57 BCP Software Assigned To => BCP Software
2012-10-23 16:00 BCP Software Note Added: 0000118
2012-10-23 16:00 BCP Software Status assigned => resolved
2012-10-23 16:00 BCP Software Fixed in Version => 7.0.5
2012-10-23 16:00 BCP Software Resolution open => fixed
2015-11-24 16:17 BCP Software Note Added: 0000478
2015-11-24 16:17 BCP Software Status resolved => new
2015-11-24 16:18 BCP Software Status new => assigned
2015-11-24 16:18 BCP Software Fixed in Version 7.0.5 =>
2015-11-24 16:18 BCP Software Target Version 7.0.5 => 9.0
2016-01-09 16:10 BCP Software Fixed in Version => 8.5.1
2016-01-20 12:56 BCP Software Category GLR => Transformation (GLR)
2016-01-20 13:00 BCP Software Category Transformation (GLR) => Model Transformation (GLR)
2016-04-26 18:06 BCP Software Status assigned => resolved
2016-04-26 18:06 BCP Software Fixed in Version 8.5.1 => 8.7.2